Uses of Class
org.apache.juneau.marshall.parser.Parser
Packages that use Parser
Package
Description
Configuration Support
Parser Examples
BSON (Binary JSON) marshalling support.
CBOR (Concise Binary Object Representation) marshalling support per RFC 8949.
Collections classes.
CSV Marshalling Support
Hjson (Human JSON) format serializer and parser for Apache Juneau.
HOCON (Human-Optimized Config Object Notation) format serializer and parser for Apache Juneau.
HTML Marshalling Support
INI format serializer and parser for Apache Juneau.
RDF Marshalling Support
JSON Marshalling Support.
JSON5 Marshalling Support.
JSON5L (JSON5 Lines) marshalling support.
JSONL (JSON Lines) marshalling support.
Markdown serializer and parser support for Apache Juneau.
Marshallers
MessagePack Marshalling Support
OpenAPI Marshalling Support
Apache Parquet serialization and parsing support.
Parser API
Plaintext Marshalling Support
Server-Sent Events (SSE) marshalling support —
text/event-stream.TOML v1.0.0 serializer and parser for Apache Juneau.
UON Marshalling Support
URL-Encoding Marshalling Support
XML Marshalling Support
YAML Marshalling Support
Petstore-local marshalling support.
Next-generation REST client — transport-agnostic HTTP client built on Juneau's serialization stack.
REST Client API
REST Server Mock API
Mocked REST client and supporting classes for in-JVM testing built on the classic Apache HttpClient API.
REST HTTP Parts
-
Uses of Parser in org.apache.juneau.config
Methods in org.apache.juneau.config with parameters of type ParserModifier and TypeMethodDescription<T> Optional<T>Returns this entry converted to the specified type.<T> Optional<T>Same asEntry.as(Type, Type...)but specifies the parser to use to parse the entry.Returns this entry as a parsed list.Returns this entry as a parsed map. -
Uses of Parser in org.apache.juneau.examples.parser
Subclasses of Parser in org.apache.juneau.examples.parserModifier and TypeClassDescriptionclassExample parser that converts byte streams toBufferedImageobjects. -
Uses of Parser in org.apache.juneau.marshall.bson
Subclasses of Parser in org.apache.juneau.marshall.bsonModifier and TypeClassDescriptionclassParses BSON (Binary JSON) into POJO models.static classDefault parser, string input encoded as BASE64.static classDefault parser, string input encoded as spaced-hex. -
Uses of Parser in org.apache.juneau.marshall.cbor
Subclasses of Parser in org.apache.juneau.marshall.cborModifier and TypeClassDescriptionclassParses CBOR streams (RFC 8949) into POJO models.static classDefault parser, string input encoded as BASE64.static classDefault parser, string input encoded as spaced-hex. -
Uses of Parser in org.apache.juneau.marshall.collections
Methods in org.apache.juneau.marshall.collections with parameters of type ParserModifier and TypeMethodDescriptionstatic JsonListConstruct a list initialized with the specified string.static JsonListJsonList.ofString(CharSequence in, Parser p) Construct a list initialized with the specified string.static JsonMapConstruct a map initialized with the specified string.static JsonMapJsonMap.ofString(CharSequence in, Parser p) Construct a map initialized with the specified string.static MarshalledListConstruct a list initialized by parsing the specified reader with the specified parser.static MarshalledListMarshalledList.ofString(CharSequence in, Parser p) Construct a list initialized by parsing the specified string with the specified parser.static MarshalledMapConstruct a map initialized by parsing the specified reader with the specified parser.static MarshalledMapMarshalledMap.ofString(CharSequence in, Parser p) Construct a map initialized by parsing the specified string with the specified parser.Constructors in org.apache.juneau.marshall.collections with parameters of type ParserModifierConstructorDescriptionConstruct a list initialized with the specified string.JsonList(CharSequence in, Parser p) Construct a list initialized with the specified string.Construct a map initialized with the specified string.JsonMap(CharSequence in, Parser p) Construct a map initialized with the specified string.MarshalledList(Reader in, Parser p) Construct a list initialized by parsing the specified reader with the specified parser.MarshalledList(CharSequence in, Parser p) Construct a list initialized by parsing the specified string with the specified parser.MarshalledMap(Reader in, Parser p) Construct a map initialized by parsing the specified reader with the specified parser.MarshalledMap(CharSequence in, Parser p) Construct a map initialized by parsing the specified string with the specified parser. -
Uses of Parser in org.apache.juneau.marshall.csv
Subclasses of Parser in org.apache.juneau.marshall.csvModifier and TypeClassDescriptionclassParses CSV (Comma Separated Values) input into Java objects. -
Uses of Parser in org.apache.juneau.marshall.hjson
Subclasses of Parser in org.apache.juneau.marshall.hjsonModifier and TypeClassDescriptionclassParses Hjson (Human JSON) text into POJO models. -
Uses of Parser in org.apache.juneau.marshall.hocon
Subclasses of Parser in org.apache.juneau.marshall.hoconModifier and TypeClassDescriptionclassParses HOCON (Human-Optimized Config Object Notation) text into POJO models. -
Uses of Parser in org.apache.juneau.marshall.html
Subclasses of Parser in org.apache.juneau.marshall.htmlModifier and TypeClassDescriptionclassParses text generated by theHtmlSerializerclass back into a POJO model. -
Uses of Parser in org.apache.juneau.marshall.ini
Subclasses of Parser in org.apache.juneau.marshall.ini -
Uses of Parser in org.apache.juneau.marshall.jena
Subclasses of Parser in org.apache.juneau.marshall.jenaModifier and TypeClassDescriptionclassSubclass ofRdfParserfor parsing JSON-LD into POJOs.classSubclass ofRdfParserfor parsing N3 (Notation3) into POJOs.classSubclass ofRdfParserfor parsing N-Quads into POJOs.classSubclass ofRdfParserfor parsing N-Triples into POJOs.classSubclass ofRdfParserfor parsing RDF/JSON into POJOs.classParses RDF into POJOs.classStream-based RDF parser for RDF/PROTO binary format.classStream-based RDF parser for binary formats (RDF/THRIFT, RDF/PROTO).classStream-based RDF parser for RDF/THRIFT binary format.classSubclass ofRdfParserfor parsing RDF/XML into POJOs.classSubclass ofRdfParserfor parsing TriG into POJOs.classSubclass ofRdfParserfor parsing TriX (XML) into POJOs.classSubclass ofRdfParserfor parsing Turtle into POJOs. -
Uses of Parser in org.apache.juneau.marshall.json
Subclasses of Parser in org.apache.juneau.marshall.jsonModifier and TypeClassDescriptionclassParses any valid RFC 8259 JSON text into a POJO model. -
Uses of Parser in org.apache.juneau.marshall.json5
Subclasses of Parser in org.apache.juneau.marshall.json5Methods in org.apache.juneau.marshall.json5 with parameters of type ParserModifier and TypeMethodDescriptionstatic Json5ListConstruct a list initialized with the specified reader.static Json5ListJson5List.ofString(CharSequence in, Parser p) Construct a list initialized with the specified string.static Json5MapConstruct a map initialized with the specified reader and parser.static Json5MapJson5Map.ofString(CharSequence in, Parser p) Construct a map initialized with the specified string and parser.Constructors in org.apache.juneau.marshall.json5 with parameters of type ParserModifierConstructorDescriptionConstruct a list initialized with the specified reader and parser.Json5List(CharSequence in, Parser p) Construct a list initialized with the specified string.Construct a map initialized with the specified reader and parser.Json5Map(CharSequence in, Parser p) Construct a map initialized with the specified string. -
Uses of Parser in org.apache.juneau.marshall.json5l
Subclasses of Parser in org.apache.juneau.marshall.json5lModifier and TypeClassDescriptionclassParses JSON5L (JSON5 Lines) input into POJO models. -
Uses of Parser in org.apache.juneau.marshall.jsonl
Subclasses of Parser in org.apache.juneau.marshall.jsonlModifier and TypeClassDescriptionclassParses JSONL (JSON Lines) input into POJO models. -
Uses of Parser in org.apache.juneau.marshall.markdown
Subclasses of Parser in org.apache.juneau.marshall.markdownModifier and TypeClassDescriptionclassParses Markdown document-mode output (headings + tables) back to POJOs.classParses Markdown fragment-mode output (tables and lists) back to POJOs. -
Uses of Parser in org.apache.juneau.marshall.marshaller
Methods in org.apache.juneau.marshall.marshaller that return ParserModifier and TypeMethodDescriptionMarshaller.getParser()Returns the parser associated with this marshaller.Constructors in org.apache.juneau.marshall.marshaller with parameters of type Parser -
Uses of Parser in org.apache.juneau.marshall.msgpack
Subclasses of Parser in org.apache.juneau.marshall.msgpackModifier and TypeClassDescriptionclassParses a MessagePack stream into a POJO model.static classDefault parser, string input encoded as BASE64.static classDefault parser, string input encoded as spaced-hex. -
Uses of Parser in org.apache.juneau.marshall.oapi
Subclasses of Parser in org.apache.juneau.marshall.oapi -
Uses of Parser in org.apache.juneau.marshall.parquet
Subclasses of Parser in org.apache.juneau.marshall.parquetModifier and TypeClassDescriptionclassParses Apache Parquet binary data into bean collections. -
Uses of Parser in org.apache.juneau.marshall.parser
Subclasses of Parser in org.apache.juneau.marshall.parserModifier and TypeClassDescriptionclassSubclass ofParserfor byte-based parsers.static classRepresents no Parser.static classAn identifier that the previous entries in this group should be inherited.static classAn identifier that the previous entries in this group should not be inherited.classSubclass ofParserfor character-based parsers.Methods in org.apache.juneau.marshall.parser that return ParserModifier and TypeMethodDescriptionParser.Builder.build()ParserMatch.getParser()Returns the parser that matched the HTTPContent-Type header value.Methods in org.apache.juneau.marshall.parser that return types with arguments of type ParserModifier and TypeMethodDescriptionSame asParserSet.getParserMatch(String)but returns just the matched parser.Same asParserSet.getParserMatch(MediaType)but returns just the matched parser.ParserSet.getParsers()Returns the parsers in this group.Methods in org.apache.juneau.marshall.parser with parameters of type ParserModifier and TypeMethodDescriptionRegisters the specified parsers with this group.static ParserSession.Builder<?>Creates a new builder for this object.Method parameters in org.apache.juneau.marshall.parser with type arguments of type ParserModifier and TypeMethodDescriptionstatic Parser.BuilderParser.createParserBuilder(Class<? extends Parser> c) Instantiates a builder of the specified parser class.Constructors in org.apache.juneau.marshall.parser with parameters of type Parser -
Uses of Parser in org.apache.juneau.marshall.plaintext
Subclasses of Parser in org.apache.juneau.marshall.plaintextModifier and TypeClassDescriptionclassParsers HTTP plain text request bodies into Group 5 POJOs. -
Uses of Parser in org.apache.juneau.marshall.sse
Subclasses of Parser in org.apache.juneau.marshall.sseModifier and TypeClassDescriptionclassParsestext/event-stream input (WHATWG Server-Sent Events) into Java objects. -
Uses of Parser in org.apache.juneau.marshall.toml
Subclasses of Parser in org.apache.juneau.marshall.toml -
Uses of Parser in org.apache.juneau.marshall.uon
Subclasses of Parser in org.apache.juneau.marshall.uonModifier and TypeClassDescriptionclassParses UON (a notation for URL-encoded query parameter values) text into POJO models.static classDefault parser, decoding. -
Uses of Parser in org.apache.juneau.marshall.urlencoding
Subclasses of Parser in org.apache.juneau.marshall.urlencodingModifier and TypeClassDescriptionclassParses URL-encoded text into POJO models. -
Uses of Parser in org.apache.juneau.marshall.xml
Subclasses of Parser in org.apache.juneau.marshall.xmlModifier and TypeClassDescriptionclassParses text generated by theXmlSerializerclass back into a POJO model. -
Uses of Parser in org.apache.juneau.marshall.yaml
Subclasses of Parser in org.apache.juneau.marshall.yaml -
Uses of Parser in org.apache.juneau.petstore.marshall
Subclasses of Parser in org.apache.juneau.petstore.marshallModifier and TypeClassDescriptionclass -
Uses of Parser in org.apache.juneau.rest.client
Methods in org.apache.juneau.rest.client that return types with arguments of type ParserModifier and TypeMethodDescriptionRestClient.getMatchingParser(String contentType) Returns the parser matching the given responseContent-Type, or the explicitly-configured default parser.RestClient.getParserForMediaType(String mediaType) Returns the registered parser matching the given media type, orOptional.empty()if none matches.Methods in org.apache.juneau.rest.client with parameters of type ParserModifier and TypeMethodDescription<T> TParses the response body totypeusing the given parser.<T> TOpens a token/record-streaming cursor over the response body using the given parser.RestClient.Builder.defaultParser(Parser value) Designates the default parser used when the responseContent-Typeis absent or matches no registered parser.Appends parsers (built into aParserSetat build time if no set was supplied). -
Uses of Parser in org.apache.juneau.rest.client.classic
Methods in org.apache.juneau.rest.client.classic with parameters of type ParserModifier and TypeMethodDescriptionprotected RestResponseRestClient.createResponse(RestRequest request, HttpResponse httpResponse, Parser parser) Creates aRestResponseobject from the specifiedHttpResponseobject.<T> TRestClient.getRemote(Class<T> interfaceClass, Object rootUrl, Serializer serializer, Parser parser) Same asRestClient.getRemote(Class, Object)but allows you to override the serializer and parser used.<T> TRestClient.getRrpcInterface(Class<T> interfaceClass, Object uri, Serializer serializer, Parser parser) Same asRestClient.getRrpcInterface(Class, Object)but allows you to override the serializer and parser used.Specifies the parser to use for this body.Parser.Specifies the parser to use on the response body.Parsers.Method parameters in org.apache.juneau.rest.client.classic with type arguments of type ParserModifier and TypeMethodDescriptionParser.Specifies the parser to use on the response body.Constructors in org.apache.juneau.rest.client.classic with parameters of type ParserModifierConstructorDescriptionResponseContent(RestClient client, RestRequest request, RestResponse response, Parser parser) Constructor.protectedRestResponse(RestClient client, RestRequest request, HttpResponse response, Parser parser) Constructor. -
Uses of Parser in org.apache.juneau.rest.mock
Methods in org.apache.juneau.rest.mock with parameters of type ParserModifier and TypeMethodDescriptionMockRestClient.Builder.defaultParser(Parser value) Sets an explicit default parser used when the responseContent-Typematches no registered parser. -
Uses of Parser in org.apache.juneau.rest.mock.classic
Methods in org.apache.juneau.rest.mock.classic with parameters of type ParserModifier and TypeMethodDescriptionprotected MockRestResponseMockRestClient.createResponse(RestRequest req, HttpResponse httpResponse, Parser parser) Method parameters in org.apache.juneau.rest.mock.classic with type arguments of type ParserModifier and TypeMethodDescriptionConstructors in org.apache.juneau.rest.mock.classic with parameters of type ParserModifierConstructorDescriptionMockRestResponse(RestClient client, RestRequest request, HttpResponse response, Parser parser) Constructor. -
Uses of Parser in org.apache.juneau.rest.server.httppart
Methods in org.apache.juneau.rest.server.httppart with parameters of type ParserModifier and TypeMethodDescriptionSets the parser to use for this content.